package gorm_model

import "time"

type EnterpriseTalentCooperate struct {
	CooperateId    int       `gorm:"column:cooperate_id;type:int(11);primary_key;AUTO_INCREMENT;comment:主键ID" json:"cooperate_id"`
	EnterpriseId   string    `gorm:"column:enterprise_id;type:varchar(255);comment:商家ID" json:"enterprise_id"`
	TalentId       string    `gorm:"column:talent_id;type:varchar(255);comment:达人ID" json:"talent_id"`
	SupplierId     int       `gorm:"column:supplier_id;type:int(11);comment:服务商ID" json:"supplier_id"`
	TalentOrigin   int       `gorm:"column:talent_origin;type:int(11);comment:达人来源，1公海，2服务商" json:"talent_origin"`
	CooperateType  int       `gorm:"column:cooperate_type;type:int(11);comment:合作关系类型，1带货达人，2种草达人，3本地生活达人" json:"cooperate_type"`
	CooperateNum   int       `gorm:"column:cooperate_num;type:int(11);comment:累计合作次数" json:"cooperate_num"`
	SecTaskID      string    `gorm:"column:sec_task_id"`      // 带货子任务ID
	ProjectTaskID  string    `gorm:"column:project_task_id"`  // 种草子任务ID
	LocalTaskID    string    `gorm:"column:local_task_id"`    // 本地生活子任务ID
	Platform       int       `gorm:"column:platform"`         // 平台，1-7分别代表小红书、抖音、微博、快手、b站、大众点评、知乎
	PlatformUserID int       `gorm:"column:platform_user_id"` // 第三方平台ID
	CreateAt       time.Time `gorm:"column:create_at"`        // 创建时间
	TalentName     string    `gorm:"column:talent_name"`
}

func (m *EnterpriseTalentCooperate) TableName() string {
	return "enterprise_talent_cooperate"
}
